apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
- ../../base
namespace: prod
#namePrefix: prod-
commonLabels:
  variant: prod
commonAnnotations:
  note: This is prod!
patches:
- path: ./configMap.yaml
- path: ./service-patch.yaml
  target:
    kind: Service
    name: pms-svc
images:
- name: REGISTRY/NAMESPACE/IMAGE:TAG
  newName: mmc-registry.cn-shenzhen.cr.aliyuncs.com/sharefly/pms
  newTag: 8f5a216204b9c8fde33ab56309ffe3b2d9c525eb
